'use strict';

var React = require('react');
var styled = require('@emotion/styled');
var miscTheme = require('./miscTheme.js');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefault(React);
var styled__default = /*#__PURE__*/_interopDefault(styled);

const StyledDivider = styled__default["default"].hr `
  border-width: 1px;
  border-color: ${miscTheme.theme.colors.neutral200};
  border-style: ${(props) => props.dividerType};
`;

/**
 * @deprecated Consider to use mantine
 */
const Divider = ({ type = 'solid', className, style }) => {
    return (React__default["default"].createElement(StyledDivider, { style: style, className: className, "data-diver-type": type, dividerType: type }));
};

exports.Divider = Divider;
